#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-utility-ht/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: utility-ht
version: 0.0.14
id: utility-ht-0.0.14-CqclJgoUReM5xZSC1dChOW
key: utility-ht-0.0.14-CqclJgoUReM5xZSC1dChOW
license: BSD-3-Clause
maintainer: Henning Thielemann <haskell@henning-thielemann.de>
author: Henning Thielemann <haskell@henning-thielemann.de>
stability: Stable
synopsis: Various small helper functions for Lists, Maybes, Tuples, Functions
description:
    Various small helper functions for Lists, Maybes, Tuples, Functions.
    Some of these functions are improved implementations of standard functions.
    They have the same name as their standard counterparts.
    Others are equivalent to functions from the @base@ package,
    but if you import them from this utility package
    then you can write code that runs on older GHC versions
    or other compilers like Hugs and JHC.
    .
    All modules are plain Haskell 98.
    The package depends exclusively on the @base@ package
    and only that portions of @base@ that are simple to port.
    Thus you do not risk a dependency avalanche by importing it.
    However, further splitting the base package might invalidate this statement.
    .
    Alternative packages: @Useful@, @MissingH@
category: Data, List
abi: bc9afceb753d627ae3b4fbbea4555a5b
exposed: True
exposed-modules:
    Control.Applicative.HT Control.Functor.HT Control.Monad.HT
    Data.Bits.HT Data.Bool.HT Data.Either.HT Data.Eq.HT
    Data.Function.HT Data.Ix.Enum Data.List.HT Data.List.Key
    Data.List.Match Data.List.Reverse.StrictElement
    Data.List.Reverse.StrictSpine Data.Maybe.HT Data.Monoid.HT
    Data.Ord.HT Data.Record.HT Data.Strictness.HT Data.String.HT
    Data.Tuple.HT Data.Tuple.Lazy Data.Tuple.Strict Text.Read.HT
    Text.Show.HT
hidden-modules: Data.Bool.HT.Private Data.List.HT.Private
                Data.List.Key.Private Data.List.Match.Private
                Data.Function.HT.Private Data.Record.HT.Private Data.Tuple.Example
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/utility-ht-0.0.14
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/utility-ht-0.0.14
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/utility-ht-0.0.14
hs-libraries: HSutility-ht-0.0.14-CqclJgoUReM5xZSC1dChOW
include-dirs: /usr/local/include
depends:
    base-4.11.1.0
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/utility-ht-0.0.14/html/utility-ht.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/utility-ht-0.0.14/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

